System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BindingElementExtensionElement

This configuration element adds two-way messaging to a custom binding. It is used with transports that do not allow duplex communications natively, for example, HTTP. TCP, by contrast, allows duplex communications natively, and does not require the use of this binding element for the service to send messages back to a client.

The client must expose an address for the service to make contact and establish a connection. This client address is provided by the property.

Represents the configuration element that is used when the client must expose an endpoint for the service to send messages over HTTP. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of binding element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("clientBaseAddress", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Uri To be added.

  The service uses this address to make contact and establish a connection with the client.

  Gets or sets the base address for the client.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.